Bug 1236218 - hunt fails with "hunt: Version number mismatch. No go."
Summary: hunt fails with "hunt: Version number mismatch. No go."
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bsd-games
Version: 24
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Jeff Makey
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-26 21:43 UTC by John Heidemann
Modified: 2017-03-07 00:49 UTC (History)
2 users (show)

Fixed In Version: bsd-games-2.17-51.fc24 bsd-games-2.17-51.fc25
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-06 19:19:49 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
cherry picked patch from debian (521 bytes, patch)
2015-06-26 21:43 UTC, John Heidemann
no flags Details | Diff
change to spec to add in patch in 1st attachment (1019 bytes, patch)
2015-06-26 21:44 UTC, John Heidemann
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Debian BTS 342025 0 None None None Never

Description John Heidemann 2015-06-26 21:43:19 UTC
Created attachment 1043714 [details]
cherry picked patch from debian

Description of problem:
hunt fails on startup with "hunt: Version number mismatch. No go."
same bug as 
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=342025

Version-Release number of selected component (if applicable):
bsd-games-2.17-46.fc22.x86_64


How reproducible:
every time


Steps to Reproduce:
1.Attempting to run hunt over localhost fails as follows:
$ hunt -n bbrazil -t 0
Connecting...
Pick one:

       a    localhost.localdomain
       b    spoon.netsoc.tcd.ie

Enter letter: a
hunt: Version number mismatch. No go.

2.
3.

Actual results:
hunt: Version number mismatch. No go.


Expected results:
an ascii maze of doom

Additional info:
bug fixed at debian.
cherrypicked patch and spec change will be attached to this problem report.

(btw, there are a bunch of other patches sitting at debian.  Maybe worth sync'ing with them across the board?)

Comment 1 John Heidemann 2015-06-26 21:44:34 UTC
Created attachment 1043715 [details]
change to spec to add in patch in 1st attachment

Comment 2 John Heidemann 2016-06-15 20:34:29 UTC
Ping.  Can we get this patch applied?  Hunt is broken on x86_64, a primary architecture, without it.

Comment 3 Fedora End Of Life 2016-07-19 19:51:19 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 Fedora Update System 2017-02-20 01:00:30 UTC
bsd-games-2.17-51.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b2daf75908

Comment 5 Fedora Update System 2017-02-20 01:00:52 UTC
bsd-games-2.17-51.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-dd7af6eb98

Comment 6 Fedora Update System 2017-02-20 20:23:14 UTC
bsd-games-2.17-51.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-dd7af6eb98

Comment 7 Fedora Update System 2017-02-20 21:22:11 UTC
bsd-games-2.17-51.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b2daf75908

Comment 8 Fedora Update System 2017-03-06 19:19:49 UTC
bsd-games-2.17-51.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2017-03-07 00:49:39 UTC
bsd-games-2.17-51.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.